package io.renren.modules.admin.dao;

import io.renren.modules.admin.entity.AttendersEntity;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

/**
 * 
 * 
 * @author chenshun
 * @email sunlightcs@gmail.com
 * @date 2020-02-21 15:10:27
 */
@Mapper
public interface AttendersDao extends BaseMapper<AttendersEntity> {
    @Select("SELECT a.id as aid,a.meeting_id,m.name_cn FROM attenders a JOIN meeting m ON a.meeting_id=m.id WHERE a.member_id=#{memberId} ORDER BY a.id;")
    List<Map<String, Object>> getMeetingListByMemberId(Long memberId);

    @Select("SELECT a.id, m.truename as name FROM attenders a JOIN member m ON a.member_id=m.id where a.is_del=0 AND a.id=#{aid}")
    Map<String, Object> getNameById(Long aid);
}
